# SolrQuery::setHighlightSnippets

(PECL solr >= 0.9.2)

SolrQuery::setHighlightSnippets — Sets the maximum number of highlighted snippets to generate per field

### Description

public SolrQuery::setHighlightSnippets ( int `$value` [, string `$field_override` ] ) : SolrQuery

Sets the maximum number of highlighted snippets to generate per field

### Parameters

`value`

  The maximum number of highlighted snippets to generate per field

`field_override`

  The name of the field.

### Return Values

Returns the current SolrQuery object, if the return value is used.